<?php
require_once "../config/Conexion.php";

class Dsm5
{
    // Constructor
    public function __construct() {}

    // Listar todos los diagnósticos DSM-5 o filtrar por texto
    public function listar($texto = "")
    {
        $sql = "SELECT * FROM diagnostico_dsm5 
                WHERE codigo LIKE '%$texto%' 
                OR enfermedad LIKE '%$texto%' 
                OR categoria LIKE '%$texto%' 
                LIMIT 100";
        return ejecutarConsulta($sql);
    }

    // Mostrar un diagnóstico específico
    public function mostrar($iddiagnostico_dsm5)
    {
        $sql = "SELECT * FROM diagnostico_dsm5 WHERE iddiagnostico_dsm5='$iddiagnostico_dsm5'";
        return ejecutarConsultaSimpleFila($sql);
    }
}
?>
